<?php

namespace Modules\Admin\App\Providers;

use Illuminate\Support\Facades\Config;
use Illuminate\Support\ServiceProvider;
use Modules\Admin\App\Services\GlobalSettingsService;

class GlobalSettingsProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        $this->mergeConfigFrom(__DIR__ . '/../../Config/_var.php', '_var');
        $this->mergeConfigFrom(__DIR__ . '/../../Config/custom.php', 'custom');
    }

    /**
     * Bootstrap services.
     */
    public function boot(GlobalSettingsService $globalSettingsService): void
    {
        $globalSettingsService->loadSystemConfig();
    }
}
